Subject: Re: hdf file format converters

From: [email-masked] (Jim Firestone)
Date: 3 Jun 1993 21:13:46 GMT

In article <[email-masked]>, [email-masked] (Ron L. Dilsavor) writes:
> 
> Hi all, 
> I hope that this question belongs in this newsgroup. If not, have
> mercy please.
> 
> I was just  given a DAT tape with a bunch of HDF formatted files on it.
> I need to convert this format into something more useable to me.
> 
> How can I get the data into raw, Sun raster, or X11 bitmap, 
> or Matlab .mat, or Khoros viff format, or anything else that comes to
> your mind?  Any hints would be much appreciated.
> 
> Where can I get the code to do this?
> 
> Thanks,
> [email-masked]
> Graduate Research Associate
> The Ohio State University

I've never used it myself, but the NCSA HDF documentation says there is
a utility called "hdftor8" which extracts images from an HDF and stores
them in two sets of files containing the images and palettes. You will need
to download the software from ftp.ncsa.uiuc.edu. For those of you new
to all this, NCSA is the Natl. Center for Supercomputing Applications at the
University of Illinois at Urbana-Champaign, developer of the Hierarchical
Data Format (HDF). After ftp'ing, cd to HDF dir. I suggest you stage as many
of the HDF files to disk as you have room for, then extract the images
using the above utility (assuming it's what you want).

Good luck,  Jim Firestone, NASA/Goddard Space Flight Ctr.